{ stdenv, rustPlatform, fetchFromGitHub }:

rustPlatform.buildRustPackage rec {
  pname = "cargo-sweep";
  version = "0.4.1";

  src = fetchFromGitHub {
    owner = "holmgr";
    repo = pname;
    rev = "v${version}";
    sha256 = "1zp0x0jy5bjqbxawlwvpj6vb3y602mnh19p48rw70kdx6vripbvj";
  };

  cargoSha256 = "06hx8mlqarjnqrprwdp80cmanmacg3xz62r1bbn27pn60xv719hn";

  meta = with stdenv.lib; {
    description = "A Cargo subcommand for cleaning up unused build files generated by Cargo";
    homepage = https://github.com/holmgr/cargo-sweep;
    license = licenses.mit;
    platforms = platforms.all;
    maintainers = with maintainers; [ xrelkd ];
  };
}
